update-manager window remains empty after starting update

Bug #1539847 reported by Karl-Philipp Richter on 2016-01-30
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Unassigned

Bug Description

After pressing the "Install now" button the dialog window resizes to and remains empty. The window can be closed. The console output is

    $ update-manager
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1584, in on_error
        error.raise_exception()
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 130, in raise_exception
        raise self.value.with_traceback(self.traceback)
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 483, in _inline_callbacks
        result = gen.throw(excep)
      File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 65, in update
        trans = yield self.client.update_cache(defer=True)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1584, in on_error
        error.raise_exception()
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 130, in raise_exception
        raise self.value.with_traceback(self.traceback)
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
        result = gen.send(result)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
        daemon = get_aptdaemon(self.bus)
      File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
        False),
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
        follow_name_owner_changes=follow_name_owner_changes)
      File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
        self._named_service = conn.activate_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
        self.start_service_by_name(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
        'su', (bus_name, flags)))
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
        return self.get_name_owner(bus_name)
      File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
        's', (bus_name,), **keywords)
      File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
        message, timeout)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/defer/__init__.py", line 483, in _inline_callbacks
        result = gen.throw(excep)
      File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 89, in commit
        downgrade, defer=True)
    dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: update-manager 1:15.10.3
Uname: Linux 4.3.0-040300-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.19.1-0ubuntu5
Aptdaemon:

Architecture: amd64
CurrentDesktop: Unity
Date: Sat Jan 30 07:02:13 2016
InstallationDate: Installed on 2013-10-17 (834 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
PackageArchitecture: all
SourcePackage: update-manager
UpgradeStatus: Upgraded to wily on 2015-11-19 (71 days ago)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Changed in update-manager (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers